AnsweredAssumed Answered

Running Data Interoperability tool from command line error - Python interpreter?

Question asked by RystadEnergy on Mar 13, 2019

Hi folks,

Our company use Data Interoperability extension tools to periodically update data in our production environment.
After installation of the latest version ArcGIS Pro (2.3.0, later 2.3.1) and Data Interoperability extension (2018.1.1.0, Build 18567) we have a problem running FME tools from the command line environment.
For instance, if we run the following command from command line:
"C:\Program Files\ArcGIS\Data Interoperability for ArcGIS Pro\fme.exe" "\\<network path>\GIS_Services_Data_Update.fmw"
…we’re getting the following error:
Emptying factory pipeline....Intel MKL FATAL ERROR: Cannot load mkl_def.dll.

In the previous version of ArcGIS Pro (2.2.3) and FME/Data Interoperability (2018.0.0.2) the same FME tools were running without a problem.

Anyway, there is no problem running the same tool directly from FME Workspace environment.
We assume that this problem might relate to Python Interpreter settings that are not handled correctly in the latest version of the FME command line environment.

 

Examples:

Running the same tool from command line in the previous version of ArcGIS Pro and Data Interoperability:

Previous version of ArcGIS Pro and Data Interoperability

 

Running the same tool in the latest version:

Latest version

 

Running in the latest version of FME Workspace:

Running_in_workspace

 

We tried to setup various Python Interpreter parameters in FME Workspace (different versions, custom paths), but no success.

 

Any idea or recommendation how to solve it?

 

Many thanks,

Roman, 

Outcomes